Subject: Applying eglot workspace configuration in connect hook can be too late

From: Joel Reicher <[email-masked]>
Date: Wed, 13 Sep 2023 19:20:18 +1000

I imagine this is fine for most things, but I had a locally customised
gradle wrapper rejected by jdtls and when setting the workspace
configuration to allow it found that every time the server started up,
the gradle wrapper had been rejected by the time this was applied.
Supplying the same plist as an initializationOptions property for the
server program worked fine.

Thanks and regards,

- Joel